## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanDefaultDocumentBuilder Class Reference

This is class is designed to allow a XalanTranfomer object to use a document that is build dynamically by a user. More...

Inheritance diagram for XalanDefaultDocumentBuilder:

[legend]
Collaboration diagram for XalanDefaultDocumentBuilder:

[legend]
List of all members.

## Public Member Functions

- XalanDefaultDocumentBuilder (MemoryManagerType &theManager, const XalanDOMString &theURI)
    Create a XalanDefaultDocumentBuilder instance,.
- virtual ~XalanDefaultDocumentBuilder ()
- virtual XalanDocument * getDocument () const
    Get a pointer to the XalanDocument instance for the source document.
- virtual XalanParsedSourceHelper * createHelper (MemoryManagerType &theManager) const
- virtual const XalanDOMString & getURI () const
    Get the URI for the parsed source, if any.
- virtual ContentHandlerType * getContentHandler ()
- virtual DTDHandlerType * getDTDHandler ()
- virtual LexicalHandlerType * getLexicalHandler ()

## Static Public Member Functions

- XalanDefaultDocumentBuilder * create (MemoryManagerType &theManager, const XalanDOMString &theURI)

## Detailed Description

This is class is designed to allow a XalanTranfomer object to use a document that is build dynamically by a user.

## Constructor & Destructor Documentation

XalanDefaultDocumentBuilder::XalanDefaultDocumentBuilder | ( | MemoryManagerType & | theManager,
|  | const XalanDOMString & | theURI
| ) |

  | Create a XalanDefaultDocumentBuilder instance,. Parameters:
  theURI | An optional string to identify the document.

virtual XalanDefaultDocumentBuilder::~XalanDefaultDocumentBuilder | ( |  | ) | `[virtual]`

## Member Function Documentation

XalanDefaultDocumentBuilder* XalanDefaultDocumentBuilder::create | ( | MemoryManagerType & | theManager,
|  | const XalanDOMString & | theURI
| ) | `[static]`

virtual XalanParsedSourceHelper* XalanDefaultDocumentBuilder::createHelper | ( | MemoryManagerType & | theManager | ) | const`[virtual]`

virtual ContentHandlerType* XalanDefaultDocumentBuilder::getContentHandler | ( |  | ) | `[virtual]`

| Implements XalanDocumentBuilder.

virtual XalanDocument* XalanDefaultDocumentBuilder::getDocument | ( |  | ) | const`[virtual]`

| Get a pointer to the XalanDocument instance for the source document. Returns: A pointer to a XalanDocument instance. Implements XalanDocumentBuilder.

virtual DTDHandlerType* XalanDefaultDocumentBuilder::getDTDHandler | ( |  | ) | `[virtual]`

| Implements XalanDocumentBuilder.

virtual LexicalHandlerType* XalanDefaultDocumentBuilder::getLexicalHandler | ( |  | ) | `[virtual]`

| Implements XalanDocumentBuilder.

virtual const XalanDOMString& XalanDefaultDocumentBuilder::getURI | ( |  | ) | const`[virtual]`

| Get the URI for the parsed source, if any. use for transforming with the instance. Returns: A const reference to a string containing the URI Implements XalanDocumentBuilder.

The documentation for this class was generated from the following file:

- XalanDefaultDocumentBuilder.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.